import "./Row.css";
import React, { ReactNode } from 'react';
export declare const ifNeedReduceColWidth: boolean;
export declare const config: {
    DEFAULT_GUTTER_X: number;
    DEFAULT_GUTTER_Y: number;
    COL_WIDTH_REDUCE: number;
    BREAK_POINTS: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
    };
    ROW_HEIGHT_CALCULATION: boolean;
};
export interface RowProps extends React.HTMLProps<HTMLElement> {
    gutter?: number | number[];
    heightCalculation?: boolean;
    breakPoints?: typeof config.BREAK_POINTS;
    children?: ReactNode;
    xsGutterX?: number;
    xsGutterY?: number;
    smGutterX?: number;
    smGutterY?: number;
    mdGutterX?: number;
    mdGutterY?: number;
    lgGutterX?: number;
    lgGutterY?: number;
    xlGutterX?: number;
    xlGutterY?: number;
}
export default function Row(props?: RowProps): JSX.Element;
